openSUSE Security Update : ncpfs (openSUSE-SU-2011:0985-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Following issues are fixed by this update: The ncpfs mount and umount
programs were affected by the /etc/mtab truncation problems on
RLIMIT_FSIZE. (CVE-2011-1679)

Also on errors, the mtab lock was not removed, blocking other
applications from modifying /etc/mtab. (CVE-2011-1680)

See also :

http://lists.opensuse.org/opensuse-updates/2011-09/msg00000.html
https://bugzilla.novell.com/show_bug.cgi?id=686554

Solution :

Update the affected ncpfs packages.

Risk factor :

Medium / CVSS Base Score : 4.4
(CVSS2#AV:L/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 75680 ()

Bugtraq ID:

CVE ID: CVE-2011-1089
CVE-2011-1679
CVE-2011-1680

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now